OWNCLOUD(1)

NAME
owncloud - File synchronisation desktop utility. owncloud(1) ————

owncloud [OPTIONS...]

The ownCloud Client is a file synchronization desktop utility. It synchronizes files on your local computer, tablet, or handheld device with an ownCloud Server. If you make a change to the files on one device, the change is propagated to all other synchronized devices using the desktop synchronization clients.

Normally, you start the client by clicking on the desktop icon or by starting it from the client application menu. After starting, an ownCloud icon appears in the computer system tray or on your tablet or handheld device.

You have the option of starting your ownCloud desktop client with the owncloud command. The following options are supported:

owncloud -h or owncloud --help
    Displays all command options.

    The other options are:

--logwindow
    Opens a window displaying log output.

--logfile <filename>
    Write log output to the file specified. To write to stdout, specify - as the filename.

--logdir <name>
    Writes each synchronization log output in a new file in the specified directory.

--logexpire <hours>
    Removes logs older than the value specified (in hours). This command is used with --logdir.

--logflush
    Clears (flushes) the log file after each write action.

--logdebug
    Also output debug-level messages in the log (equivalent to setting the env var QT_LOGGING_RULES="qt.*=true;*.debug=true").

    )

--confdir <dirname>
    Uses the specified configuration directory.

    The ownCloud Client reads a configuration file. You can locate this configuration file as follows:

On Linux distributions:
    $HOME/.config/ownCloud/owncloud.cfg

On Microsoft Windows systems:
    %APPDATA%\ownCloud\owncloud.cfg

On MAC OS X systems:
    $HOME/Library/Preferences/ownCloud/owncloud.cfg

    The configuration file contains settings using the Microsoft Windows .ini file format. You can overwrite changes using the ownCloud configuration dialog.

    NOTE: Use caution when making changes to the ownCloud Client configuration file. Incorrect settings can produce unintended results.

    Some interesting values that can be set on the configuration file are:
    [ownCloud] section
    Variable | Default | Meaning
    remotePollInterval | 30000 | Specifies the poll time for the remote repository in milliseconds.
    forceSyncInterval | 7200000 | The duration of no activity after which a synchronization run shall be triggered automatically.
    fullLocalDiscoveryInterval | 3600000 | The interval after which the next synchronization will perform a full local discovery.
    notificationRefreshInterval | 300000 | Specifies the default interval of checking for new server notifications in milliseconds.
    [General] section
    Variable | Default | Meaning
    chunkSize | 5242880 | Specifies the chunk size of uploaded files in bytes.
    promptDeleteAllFiles | true | If a UI prompt should ask for confirmation if it was detected that all files and folders were deleted.
    maxLogLines | 20000 | Specifies the maximum number of log lines displayed in the log window.
    timeout | 300 | The timeout for network connections in seconds.
    moveToTrash | false | If non-locally deleted files should be moved to trash instead of deleting them completely. This option only works on linux
    showExperimentalOptions | false | Whether to show experimental options that are still undergoing testing in the user interface. Turning this on does not enable experimental behavior on its own. It does enable user inferface options that can be used to opt in to experimental features.
    [Proxy] section
    Variable | Default | Meaning
    host | 127.0.0.1 | The address of the proxy server.
    port | 8080 | The port were the proxy is listening.
    type | 2 | 0 for System Proxy.
    1 for SOCKS5 Proxy.
    2 for No Proxy.
    3 for HTTP(S) Proxy.

    Please report bugs at https://github.com/owncloud/client/issues.

    owncloudcmd(1)

AUTHOR
The ownCloud developers

COPYRIGHT
2013-2018, The ownCloud developers